<%@page import=" java.util.*,java.io.*,javax.sql.*,java.sql.*,javax.naming.*,m05bClasses.*,java.io.PrintWriter" %>
<%@include file="/mantenimientosJSP/includes/m05b.inc"%>
<%	// _______________________________XLNETs______________________________________
	// Evaluar variable de session que indica si esta conectado a XLNets
	if (session.getAttribute("objetoSeguridad") == null)  { 
		// Verificar que no ha transcurrido el tiempo de sesion (web.xml) %>
			<%@ include file="/m05bControlAcceso.inc"%> 
<%	} 
	String persona = (String) session.getAttribute("persona");
%>

<%@ include file="/m05bIdioma.inc"%>
	
<HTML>

<head>
		<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
		<link rel="stylesheet" href="<%=m05bConstantesPaginas.PATH_ESTILOS%>/m05bestilos.css" type="text/css">
		<title>Reparaciones Efectuadas</title>
		<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/formateador.js"></script>
			
	<%
		String nOrden = request.getParameter("NOrden");
		if (nOrden==null || nOrden.equals("NULL") ){
		     nOrden="";
		}
		String fEntrada = request.getParameter("FEntrada")==null?"":request.getParameter("FEntrada");
		String hEntrada = request.getParameter("HEntrada")==null?"":request.getParameter("HEntrada");
		String fSalida = request.getParameter("FSalida")==null?"":request.getParameter("FSalida");

	    session.setAttribute("OTOrden",nOrden);
		session.setAttribute("OTFEntrada",fEntrada);
		session.setAttribute("OTHEntrada",hEntrada);
		session.setAttribute("OTFSalida",fSalida);
		
		String mensaje = request.getParameter("Mensaje")==null?"":request.getParameter("Mensaje");
		PrintWriter outMsg= response.getWriter();
		if (mensaje.equals(m05bConstantes.MSG_EXISTE)) {
				outMsg.println("<script>alert(dameAlerta(idioma, 212));</script>");
		}
		outMsg.close(); 		
	%>
</head>
<BODY style="cursor: wait" onload="document.body.style.cursor='default';InitMenu();" onkeydown="cancelaEnter();" onunload="document.body.style.cursor='wait';">
<SCRIPT language=JavaScript>
	var urlIdioma;		//URL recarga en funcion del idioma
	var rutaCabecera;	//Camino de migas
	rutaCabecera="";
	rutaCabecera = "<a style='text-decoration:none; font-size:8pt; color:yellow; font-family:verdana' href='/m05bParqueMovilWar/m05bOrdenesTrabajoJsp.jsp?Codigo=<%=nOrden%>'>\\Ordenes de Trabajo</a>";
	detActual = '<%=resCM.getString("cmMtoRepEfectuadas")%>';
</SCRIPT>
<%@ include file="/mantenimientosJSP/includes/m05Cabecera_c.jsp"%>
			
<p>
<table  width="100%" height="100%" border="0" cellspacing="0" cellpadding="0" align="center">
	<tr><td colspan=3></td></tr>
	<tr valign="top">
		<td width="2%">
			<DIV ID="thessm" style="visibility:hidden;Position : Absolute ;Left : 0 ;Top : 80 ;Z-Index : 20;">
	      		<DIV ID="thessm2" style="Position : Absolute ;Left : (-150) ;Top : 0 ;Z-Index : 20;">
	                <%@ include file="/m05bMenuInicial.inc"%>
	       		</DIV>
			</DIV>
		</td>
		<td>&nbsp</td>
		<td width="98%">
		<FORM NAME="formOrdReparaciones" METHOD="POST">
				<%
				StringBuffer sql = new StringBuffer();

				String Empleado="", CodEmp="", Descripcion="", Hora="", Importe="", Cod="", impPiezas="0";
				double lImpRep = 0;
			    //double aux1=0, aux2 = 0, lImpRep = 0;
			    //float ax1=0,ax2=0;

				int contTotal = 0;
                java.sql.Connection conn=null;
                PreparedStatement pstmt = null;
                ResultSet rs = null;				
				m05bComun comun = new m05bComun();
				m05bCampos miCampo = new m05bCampos();
				
			/* 	sql.append("SELECT ").append(m05bConstantes.COL_19_CODIGO).append(",");
				sql.append(m05bConstantes.COL_19_CONCEPTO).append(",NVL(").append(campoTexto).append(m05bConstantes.COL_25_DESCRIP);
				sql.append(",").append(m05bConstantes.COL_25_DESCRIP).append("")
				sql.append(",").append(m05bConstantes.COL_19_TIEMPO);
				sql.append(",").append(m05bConstantes.COL_19_IMPORTE).append(",").append(m05bConstantes.COL_19_EMPLEADO);
				sql.append(" FROM ").append(m05bConstantes.TAB_ORDEREPAR);
				sql.append(",").append(m05bConstantes.TAB_EMPTALLER);
				sql.append(" WHERE ").append(m05bConstantes.COL_19_COD_ORD);
				sql.append("='").append(nOrden).append("'");
				sql.append(" AND ").append(m05bConstantes.COL_07_CODIGO).append("(+) = ").append(m05bConstantes.COL_19_EMPLEADO); */
				
				sql.append("SELECT COD_REP_19,   NOMBRE_07,");
				sql.append(" NVL(");
				sql.append(campoTexto);
				sql.append("DESCRIP_25,DESCRIP_25),");
				sql.append(" TIEMPO_19,");
				sql.append(" IMPORTE_19,");
				sql.append(" EMPLEADO_19");
				sql.append(" FROM (M0519T00");
				sql.append(" LEFT JOIN M0507T00");
				sql.append(" ON COD_EMPL_07   = EMPLEADO_19)");
				sql.append(" left join m0525t00 ");
				sql.append(" on COD_REP_25=COD_REP_19");
				sql.append(" WHERE COD_ORD_19 ='");
				sql.append(nOrden);
				sql.append("' ");
				%>
				<!--    BOTONERA    --> 
				  	<TABLE class="Buscar">
					    <tr>
					  		<td align="right">
					  		    <!--INPUT TYPE="IMAGE" style="cursor:hand" VALUE="Retornar" ONCLICK="JavaScript:fncRetornar()" onMouseOver="top.status='Retornar'; return true" onMouseOut="top.status=''; return true" src="<%=m05bConstantesPaginas.PATH_IMAGENES%>/retornar.gif"-->
								<input type="button" class="boton" name="<%= res.getString("etBOT_RETORNAR")%>" value="<%= res.getString("etBOT_RETORNAR")%>" ONCLICK="JavaScript:fncRetornar();return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSRETORNAR")%>'; return false" onMouseOut="top.status=''; return false" />				                					  		    
					  		</td>
						<% if (fSalida.equals("")) { %>
					      	<td width="10%" align="right">
					      	    <!--INPUT TYPE="IMAGE" style="cursor:hand" VALUE="Nuevo" ONCLICK="JavaScript:fncNuevo();"  src="/parquemovil/images/nuevo.gif"/--> 
                                <input type="button" class="boton" name="<%= res.getString("etBOT_NUEVO")%>" value="<%= res.getString("etBOT_NUEVO")%>" ONCLICK="JavaScript:fncNuevo();return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSNUEVO")%>'; return false" onMouseOut="top.status=''; return false" />				                					  		    					      	    
					      	</td>
						<% } %>
						</tr>
					  </TABLE>
				  <TABLE class="general">
						    <tr>
							      <td width="30%" align="left" class="searchTitle"><%=res.getString("etOrden.9") %></td>
							      <td width="70%" align="left" colspan="3" class="searchTitle"><%=res.getString("etOrden.10") %></td>
							</tr>
							<tr>
							      <td align="left"> <INPUT class="inputField" TYPE="TEXT" NAME="NOrden" value='<%=nOrden%>' disabled size="25"/> </td>
							   	  <td align="left" width="10%" ><INPUT class="inputField" TYPE="TEXT" NAME="FEntrada" value='<%=fEntrada%>' disabled size="10"/></td>
							   	  <td align="left" width="10%" ><INPUT class="inputField" TYPE="TEXT" NAME="HEntrada" value='<%=hEntrada%>' disabled size="6" /></td>
								  <td></td>
	  							</tr>
				  </TABLE>
				  <p>
					  		
				  <TABLE class="buscar">
				    <tr>
				      <td class="inputFieldTitle"><%=res.getString("etOrden.1") %></td>
				      <td class="inputFieldTitle"><%=res.getString("etOrden.2") %></td>
				      <td class="inputFieldTitle"><%=res.getString("etOrden.3") %></td>
				      <td class="inputFieldTitle"><%=res.getString("etOrden.4") %></td>
				      <td class="inputFieldTitle"><%=res.getString("etOrden.5") %></td>
				      <td class="inputFieldTitle"><%=res.getString("etOrden.6") %></td>
				      <td width="15%" class="inputFieldTitle"><%=res.getString("etOrden.7") %></td>
				      <td class="inputFieldTitle"><%=res.getString("etOrden.8") %></td>
				    </tr>
				    <%
				        try {
				           if (!nOrden.equals("")){
				           //m05bbBeginSelect(sql.toString());
				           //m05bRS = m05bPStmt.executeQuery();
          		           m05bConexion miConex = new m05bConexion();
                           conn = miConex.getConnection();
                           conn.setAutoCommit(false);  // Al final si todo ha ido bien se hace commit	 
		                   pstmt = conn.prepareStatement(sql.toString());
		                   rs = pstmt.executeQuery();				           
				           while (rs.next() == true){
				               Cod=rs.getString(m05bConstantes.COL_19_CODIGO);
				               Empleado=rs.getString(m05bConstantes.COL_07_NOMBRE)==null?"":rs.getString(m05bConstantes.COL_07_NOMBRE);
							   CodEmp=rs.getString(m05bConstantes.COL_19_EMPLEADO);
				               Descripcion=rs.getString(3)==null?"":rs.getString(3);
				               Hora=rs.getString(m05bConstantes.COL_19_TIEMPO)==null?"":rs.getString(m05bConstantes.COL_19_TIEMPO);
				               Importe=rs.getString(m05bConstantes.COL_19_IMPORTE)==null?"":rs.getString(m05bConstantes.COL_19_IMPORTE);
				               impPiezas=miCampo.getImpPiezas(nOrden, Cod);
				               if (impPiezas == null)
				               	   impPiezas = "0";
								// Calcular precio-hora del empleado
								String sTarifa = miCampo.tarifaEmpl(CodEmp);
								
								if ( (sTarifa != null) && (Hora != null) && !(Hora.equals(""))) {
									lImpRep = Double.parseDouble(sTarifa) * Double.parseDouble(Hora);
									lImpRep = Double.parseDouble(comun.formatearDouble(lImpRep));
								}
								if (sTarifa ==  null)
									sTarifa = "0";
							   /*aux1=(new Double(Importe)).doubleValue();
				               aux2=(new Double(impPiezas)).doubleValue();*/
				               //aux2 = 0 - aux2;
				               /*aux1=Double.valueOf(Importe).doubleValue();
				               aux2=Double.valueOf(impPiezas).doubleValue();*/
				               /*ax1=Float.parseFloat(Importe);
				               ax2=Float.parseFloat(impPiezas);*/
				               
							   //lImpRep = aux1 + aux2;
				               %>
				               <tr>
							      <td class="inputFieldTitleBlank"><A href="JavaScript:fncModificar('<%=Cod%>')"><%=Cod%></A></td>
							      <td class="inputFieldTitleBlank"><%=Descripcion%></td>
							      <td class="inputFieldTitleBlank"><input type="hidden" name=<%="Empleado"+contTotal%> value="<%=CodEmp%>"><%=Empleado%></td>
							      <td class="inputFieldTitleBlank" style="text-align: right">
									<input type="hidden" name=<%="Hora"+contTotal%> value="<%=Hora%>"> 
										<% if (!Hora.equals("")) { %>
									         <script> formatNumero(document.formOrdReparaciones.<%="Hora"+contTotal%>); </script>
											 <script> document.write(document.formOrdReparaciones.<%="Hora"+contTotal%>.value);</script>
										<%  } %>
							      </td>
							      <td class="inputFieldTitleBlank" style="text-align: right">
									<input type="hidden" name=<%="lImpRep"+contTotal%> value="<%=""+lImpRep%>"> 
									         <script> formatNumeroDecimal(document.formOrdReparaciones.<%="lImpRep"+contTotal%>,6,2); </script>
											 <script> document.write(document.formOrdReparaciones.<%="lImpRep"+contTotal%>.value);</script>
							      </td>							      
							      <td class="inputFieldTitleBlank" style="text-align: right">
									<input type="hidden" name=<%="impPiezas"+contTotal%> value="<%=impPiezas%>"> 
										<% if (!impPiezas.equals("")) { %>
									         <script> formatNumeroDecimal(document.formOrdReparaciones.<%="impPiezas"+contTotal%>,6,2); </script>
											 <script> document.write(document.formOrdReparaciones.<%="impPiezas"+contTotal%>.value);</script>
										<%  } %>
							      </td>							      
							      <td class="inputFieldTitleBlank" style="text-align: right">
									<input type="hidden" name=<%="Importe"+contTotal%> value="<%=Importe%>"> 
										<% if (!Importe.equals("")) { %>
									         <script> formatNumeroDecimal(document.formOrdReparaciones.<%="Importe"+contTotal%>,6,2); </script>
											 <script> document.write(document.formOrdReparaciones.<%="Importe"+contTotal%>.value);</script>
										<%  } %>
							      </td>							      	  
							      <td class="inputFieldTitleBlank"><A href="JavaScript:fncPiezas('<%=Cod%>','<%=lImpRep%>' )"><%=res.getString("etOrden.8") %></A></td>
							   </tr>
				           <% ++contTotal;
				           }
				    }
				  } catch (Exception ex1){
					  m05bClasses.m05bFileLog miLog = new m05bClasses.m05bFileLog();
					   miLog.addTraza(ex1);
				  } finally {
					   //m05bEndSelect();
          	       if (rs != null)
			           rs.close();
		           if (pstmt != null)
			           pstmt.close();
		           if (conn != null)
			           conn.close();
				  }
				    %>
							<tr></tr>
						    <tr align="center">
								    <td class="inputField" colspan="6">TOTAL: <%=contTotal%></td>
						    </tr>
				  </TABLE>
				  <input type="hidden" name="ImpRep">
		</FORM>
		</td>
	</tr>
	<tr>
			<td colspan="3"><%@ include file="/mantenimientosJSP/includes/m05Pie_c.jsp"%>	</td>
	</tr>
</table>
<SCRIPT language='javascript'>
		function fncNuevo() {
		       		formOrdReparaciones.action="m05bOrdRepaJsp.jsp?Codigo=&Mensaje=false&NOrden=<%=nOrden%>&FEntrada=<%=fEntrada%>&HEntrada=<%=hEntrada%>&FSalida=<%=fSalida%>";
		       		formOrdReparaciones.submit();
			}
		function fncModificar(codigo) {
		            formOrdReparaciones.action="m05bGenerarOrdenReparacionServlet?Codigo=" + codigo + "&FEntrada=<%=fEntrada%>&HEntrada=<%=hEntrada%>&FSalida=<%=fSalida%>&Mensaje=false&NOrden=<%=nOrden%>";
		            formOrdReparaciones.submit();
		    }
		    
		function fncPiezas (codigo,impRep){
					var docu = formOrdReparaciones;
					docu.ImpRep.value=impRep;
			   		docu.action="m05bVehOrdPiezaJsp.jsp?Codigo=" + codigo + "&Mensaje=false&NOrden=<%=nOrden%>";
		           	docu.submit();
		}
		function fncRetornar() {
					var docu = formOrdReparaciones;
			   		docu.action="m05bGenerarOrdenTrabajoServlet?Codigo=" + <%=nOrden%> + "&VolverConDatos=si&FEntrada=<%=fEntrada%>&HEntrada=<%=hEntrada%>&FSalida=<%=fSalida%>&Mensaje=false";
		           	docu.submit();
		}

    setTimeout('initSlide();', 1);
</SCRIPT>
</BODY>
</HTML>